WordPress.org

Make WordPress Core

Opened 7 years ago

Closed 7 years ago

Last modified 7 years ago

#7321 closed defect (bug) (fixed)

admin-forms requires jQuery (wp-admin/js/forms.js)

Reported by: 082net Owned by:
Milestone: 2.6.1 Priority: normal
Severity: normal Version: 2.6
Component: General Keywords: has-patch
Focuses: Cc:

Description

Since WP 2.6, admin-forms(wp-admin/js/forms.js) requires jQuery for 'shiftKey selecting checkboxes'. But, script-loader didn't applied it.

wp-includes/script-loader.php line 128

		$scripts->add( 'admin-forms', '/wp-admin/js/forms.js', array('jquery'), '20080401');

Attachments (1)

script-loader-fix-admin-forms.patch (799 bytes) - added by 082net 7 years ago.

Download all attachments as: .zip

Change History (3)

comment:1 @ryan7 years ago

  • Resolution set to fixed
  • Status changed from new to closed

(In [8347]) Add jquery dependency to admin-forms. Props 082net. fixes #7321 for trunk

comment:2 @ryan7 years ago

(In [8348]) Add jquery dependency to admin-forms. Props 082net. fixes #7321 for 2.6

Note: See TracTickets for help on using tickets.